# Config file for automatic testing at travis-ci.org

language: python
python:
  - 3.6
  - 3.5
  - 3.4
  - 2.7

# Command to install dependencies, e.g. pip install -r requirements.txt --use-mirrors
install: pip install -U tox-travis

# Command to run tests, e.g. python setup.py test
script: tox

# Assuming you have installed the travis-ci CLI tool, after you
# create the Github repo and add it to Travis, run the
# following command to finish PyPI deployment setup:
# $ travis encrypt --add deploy.password
deploy:
  provider: pypi
  distributions: sdist bdist_wheel
  user: jonas.paccolat
  password:
    secure: PLEASE_REPLACE_ME
  on:
    tags: true
    repo: jonas.paccolat/darkphotonproduction
    python: 3.6
